Thread: REflex XTR
View Single Post
Old 08-18-2017, 07:34 AM   #1 (permalink)
rc_heli_flier
Registered Users
 

Join Date: Mar 2005
Default REflex XTR

Hi Guys, I have version 5.00.6 of Reflex XTR that I'm struggling with to make work with my DX9. I have the JR version that worked well with my older JR 8303. Is this not compatible with the DX9? I'm running this in Windows 7 on an older PC.
Thinking this sim is just too old and need a new one.
rc_heli_flier is offline        Reply With Quote